summaryrefslogtreecommitdiffstats
path: root/source/a/lvm2
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/a/lvm2
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/lvm2')
-rw-r--r--source/a/lvm2/lvm.url1
-rwxr-xr-xsource/a/lvm2/lvm2.SlackBuild21
-rw-r--r--source/a/lvm2/slack-desc10
3 files changed, 21 insertions, 11 deletions
diff --git a/source/a/lvm2/lvm.url b/source/a/lvm2/lvm.url
new file mode 100644
index 000000000..23553ce1a
--- /dev/null
+++ b/source/a/lvm2/lvm.url
@@ -0,0 +1 @@
+ftp://sources.redhat.com/pub/lvm2/
diff --git a/source/a/lvm2/lvm2.SlackBuild b/source/a/lvm2/lvm2.SlackBuild
index d3251c679..05de03577 100755
--- a/source/a/lvm2/lvm2.SlackBuild
+++ b/source/a/lvm2/lvm2.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,8 +20,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=$(echo LVM2.*.tar.xz | cut -f 2- -d . | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
+PKGNAM=lvm2
+VERSION=$(echo LVM2.*.tar.?z | cut -f 2- -d . | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -36,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-lvm2
@@ -58,7 +67,7 @@ rm -rf $PKG
mkdir -p $PKG
cd $TMP
rm -rf LVM2.$VERSION
-tar xvf $CWD/LVM2.$VERSION.tar.xz || exit 1
+tar xvf $CWD/LVM2.$VERSION.tar.?z || exit 1
cd LVM2.$VERSION || exit 1
chown -R root:root .
@@ -96,7 +105,7 @@ CFLAGS="$SLKCFLAGS" \
--with-clvmd-pidfile=/run/lvm/clvmd.pid \
--with-cmirrord-pidfile=/run/lvm/cmirrord.pid \
--with-dmeventd-pidfile=/run/lvm/dmeventd.pid \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/a/lvm2/slack-desc b/source/a/lvm2/slack-desc
index 72dc87aee..da1bf9c62 100644
--- a/source/a/lvm2/slack-desc
+++ b/source/a/lvm2/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -10,10 +10,10 @@ lvm2: lvm2 (Logical Volume Manager version 2)
lvm2:
lvm2: Heinz Mauelshagen's LVM (Logical Volume Manager) for Linux.
lvm2: LVM adds an additional layer between the physical peripherals and the
-lvm2: low-level I/O interface to get a logical view of disks. This allows
+lvm2: low-level I/O interface to get a logical view of disks. This allows
lvm2: the concatenation of several disks (so-called physical volumes or PVs)
lvm2: to form a storage pool (so-called Volume Group or VG) with allocation
-lvm2: units called physical extents (called PE). With LVM, you can extend,
+lvm2: units called physical extents (called PE). With LVM, you can extend,
lvm2: resize, or relocate storage dynamically.
lvm2:
lvm2: